Index: library/doc/html/inherit__graph__6.dot
===================================================================
--- library/doc/html/inherit__graph__6.dot (revision 398)
+++ library/doc/html/inherit__graph__6.dot (revision 401)
@@ -4,4 +4,10 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="itpp::Gamma_RNG",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classitpp_1_1Gamma__RNG.html",tooltip="Gamma distribution."];
+  Node1 [label="sqmat",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classsqmat.html",tooltip="Virtual class for representation of double symmetric matrices in square-root form..."];
+  Node1 -> Node2 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node2 [label="chmat",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classchmat.html",tooltip="Symmetric matrix stored in square root decomposition using upper cholesky."];
+  Node1 -> Node3 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node3 [label="fsqmat",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classfsqmat.html",tooltip="Fake sqmat. This class maps sqmat operations to operations on full matrix."];
+  Node1 -> Node4 [dir=back,color="firebrick4",fontsize="10",style="solid",fontname="FreeSans"];
+  Node4 [label="ldmat",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classldmat.html",tooltip="Matrix stored in LD form, (commonly known as UD)."];
 }
Index: library/doc/html/inherit__graph__6.md5
===================================================================
--- library/doc/html/inherit__graph__6.md5 (revision 398)
+++ library/doc/html/inherit__graph__6.md5 (revision 401)
@@ -1,1 +1,1 @@
-9e2fcc0889b214d9a5249fce6653ffe7
+3353c2647340753dfdd0fb0b731d1e36
